summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2020-01-17 12:34:02 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2020-01-17 12:34:02 -0800
commit5e14bd3a9ec9a4871a72ef2897095d19a0cfb99f (patch)
treef38cfae41a18145495bb2d97e17380255d2fedc1 /dev-ruby/vagrant_cloud
parentdev-lang/php: security cleanup (bug #703326) (diff)
downloadgentoo-5e14bd3a9ec9a4871a72ef2897095d19a0cfb99f.tar.gz
gentoo-5e14bd3a9ec9a4871a72ef2897095d19a0cfb99f.tar.bz2
gentoo-5e14bd3a9ec9a4871a72ef2897095d19a0cfb99f.zip
dev-ruby/vagrant_cloud: revbump 2.0.3 to work with later rest-client
Closes: https://bugs.gentoo.org/705342 Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'dev-ruby/vagrant_cloud')
-rw-r--r--dev-ruby/vagrant_cloud/vagrant_cloud-2.0.3-r1.ebuild (renamed from dev-ruby/vagrant_cloud/vagrant_cloud-2.0.3.ebuild)6
1 files changed, 4 insertions, 2 deletions
diff --git a/dev-ruby/vagrant_cloud/vagrant_cloud-2.0.3.ebuild b/dev-ruby/vagrant_cloud/vagrant_cloud-2.0.3-r1.ebuild
index 3957f5bc92f..c3ef5f12f0f 100644
--- a/dev-ruby/vagrant_cloud/vagrant_cloud-2.0.3.ebuild
+++ b/dev-ruby/vagrant_cloud/vagrant_cloud-2.0.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2018-2019 Gentoo Authors
+# Copyright 2018-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -21,10 +21,12 @@ SLOT="0"
KEYWORDS="~amd64"
IUSE=""
-ruby_add_rdepend ">=dev-ruby/rest-client-2.0.2"
+ruby_add_rdepend "dev-ruby/rest-client:2"
ruby_add_bdepend ">=dev-ruby/rake-10.4
test? ( >=dev-ruby/webmock-3.0 )"
all_ruby_prepare() {
sed -i -e '/rubocop/I s:^:#:' Rakefile || die
+ # loosen dependencies
+ sed -e '/rest-client/s/~>/>=/' -i ${PN}.gemspec || die
}